# pqxx::string_traits< char[N]> Struct Template Reference
[String conversion]

String traits for C-style string constant ("array of char"). More...

`#include <util.hxx>`

List of all members.

## Static Public Member Functions
static const char * | name ()
static bool | has_null ()
static bool | is_null (const char t[])
static const char * | null ()
static void | from_string (const char Str[], const char *&Obj)
static std::string | to_string (const char Obj[])

## Detailed Description

### template<size_t N>
struct pqxx::string_traits< char[N]>

String traits for C-style string constant ("array of char").

## Member Function Documentation

template<size_t N>

static void pqxx::string_traits< char[N]>::from_string | ( | const char | Str[],
|  | const char *& | Obj |
| ) |  |  | `[static]`

template<size_t N>

static bool pqxx::string_traits< char[N]>::has_null | ( |  | ) | `[static]`

template<size_t N>

static bool pqxx::string_traits< char[N]>::is_null | ( | const char | t[] | ) | `[static]`

template<size_t N>

static const char* pqxx::string_traits< char[N]>::name | ( |  | ) | `[static]`

template<size_t N>

static const char* pqxx::string_traits< char[N]>::null | ( |  | ) | `[static]`

template<size_t N>

static std ::string pqxx::string_traits< char[N]>::to_string | ( | const char | Obj[] | ) | `[static]`

The documentation for this struct was generated from the following file:

- util.hxx